@charset "UTF-8";

*{
    margin: 0%;
    padding: 0%;
}


/* background-color: rgb(255, 217, 0);黄色 */
/* background-color: rgb(0, 255, 8); 緑*/
/* background-color: rgb(255, 0, 230); ピンク*/
/* background-color: aqua;水色 */

body{
font-family: "mode-mincho-b-large-std", sans-serif;
font-weight: 500;
font-style: normal;
/* ↓仮背景色 */
background-color: rgb(244, 241, 224);
}


header{

}

h1{
font-family: "mode-mincho-b-large-std", sans-serif;
font-weight: 600;
font-style: normal;
}

nav{
     width: 80%;
    height: 5vw;
    margin-top: vw;
    margin-left: 9%;
    margin-bottom: 2%;
    background-color:#fff07b;
    border-radius: 20px;
}

nav ul{
    margin-left: 12%;
    display: flex;
}

nav ul li{
    width: calc( 100%/3 );
    list-style-type: none;
    
}
/* animation入れる */
nav ul li a{
    display: inline-block;
    padding-right: 5%;
    padding-left: 5%;
    color: rgb(40, 37, 37);
    font-size: 2.5vw;
    text-decoration: none;
    position: relative;
}
nav ul li a::after{
    background-color: rgb(255, 217, 0);
    bottom: -0.5px;
    content: "";
    height: 0.8vw;
    left: 0;
    position: absolute;
    transform: scale(0,1);
    transform-origin: center top;
    transition: transform .3s;
    width: 100%;
}

nav ul li a:hover::after{
    transform: scale(1,1);
}

li + li{
    padding-left: 12%;
    border-left: 3px solid rgb(255, 217, 0);
}


/* main */

main{
    margin-top: 5vw;
    height: 55vw;
}

.all-position{
    margin-left: 15%;
    margin-right: 15%;
}

/* プロフィール */
.profile{
    display: flex;

}

.profile-text{

}

.profile-photo img{
    margin-left: 5vw;
    height: 15vw;
    border-radius: 10px;

}

/* 趣味 */
.sub-section1{
    height: 25vw;
}

.hobby-flex{
    display: flex;
}

.hobby-flex img{
    height: 18vw;
    border-radius: 10px;
}

.hobby2{
    margin-left: 1%;
    margin-right: 1%;
}

.hobby-flex p{
    text-align: center;
}

/* スキル */
.sub-section2{
    width: 100%;
}

.sub-section2 p{
    white-space: pre-wrap;
}



footer{
    
}

footer p{
    height: 10vw;
    margin-top: 3%;
    background-color: #72E3FD;
}

footer p span{
    margin-left: 0.3em;
    margin-right: 0.3em;
}